Subject: [PATCH] git-checkout.txt: Document "git checkout <pathspec>" better

From: Torsten Bögershausen <[email-masked]>
Date: Mon, 08 Jun 2015 22:21:28 +0200

git checkout <pathspec> can be used to revert changes in the working tree.

Signed-off-by: Torsten Bögershausen <[email-masked]>
---
My first attempt to improve the documentation

 Documentation/git-checkout.txt | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/Documentation/git-checkout.txt b/Documentation/git-checkout.txt
index d263a56..8cd018a 100644
--- a/Documentation/git-checkout.txt
+++ b/Documentation/git-checkout.txt
@@ -3,7 +3,7 @@ git-checkout(1)
 
 NAME
 ----
-git-checkout - Checkout a branch or paths to the working tree
+git-checkout - Switch branches or reverts changes in the working tree
 
 SYNOPSIS
 --------
@@ -83,7 +83,8 @@ Omitting <branch> detaches HEAD at the tip of the current branch.
 	When <paths> or `--patch` are given, 'git checkout' does *not*
 	switch branches.  It updates the named paths in the working tree
 	from the index file or from a named <tree-ish> (most often a
-	commit).  In this case, the `-b` and `--track` options are
+	commit).  Changes in files are discarded and deleted files are
+	restored. In this case, the `-b` and `--track` options are
 	meaningless and giving either of them results in an error.  The
 	<tree-ish> argument can be used to specify a specific tree-ish
 	(i.e.  commit, tag or tree) to update the index for the given
-- 
2.2.0.rc1.790.ge19fcd2